﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pr229_1
{
    // Класс с главным методом: 
    class Program
    {
        // Метод для поиска символа в тексте: 
        static int find(string txt, char s) {
            // Перебор символов в тексте: 
            for(int k = 0; k < txt.Length; k++) {
                // Если есть совпадение: 
                if(txt[k] == s) return k;
            }
            // Генерируется исключение:
            throw new Exception("Символа \'" + s + "\' в тексте \"" + txt + "\" нет");
        }

        // Главный метод:
        static void Main()
        {
            // Текстовая переменная: 
            string txt;
            // Символьная переменная: 
            char s;
            // Целочисленная переменная: 
            int index;
            // Контролируемый код: 
            try {
                Console.Write("Введите текст: ");
                // Считывание текста: 
                txt = Console.ReadLine();
                Console.Write("Bведите символ: ");
                // Считывание символа: 
                s = (char)Console.Read();
                // Определение индекса символа в тексте:
                index = find(txt, s);
                // Отображение результата:
                Console.WriteLine("Индекс символа: " + index);
            }
            // Обработка исключений: 
            catch(Exception e){
                // Описание исключения:
                Console.WriteLine(e.Message);
            }
            // Задержка:
            Console.ReadLine();
        }
    }
}
